

# BatchAcknowledgeAlarm
<a name="API_iotevents-data_BatchAcknowledgeAlarm"></a>

**Important**  
End of support notice: On May 20,2026, Amazon will end support for Amazon IoT Events. After May 20,2026, you will no longer be able to access the Amazon IoT Events console or Amazon IoT Events resources. For more information, see [Amazon IoT Events end of support](https://docs.amazonaws.cn/iotevents/latest/developerguide/iotevents-end-of-support.html). 

Acknowledges one or more alarms. The alarms change to the `ACKNOWLEDGED` state after you acknowledge them.

## Request Syntax
<a name="API_iotevents-data_BatchAcknowledgeAlarm_RequestSyntax"></a>

```
POST /alarms/acknowledge HTTP/1.1
Content-type: application/json

{
   "acknowledgeActionRequests": [ 
      { 
         "alarmModelName": "string",
         "keyValue": "string",
         "note": "string",
         "requestId": "string"
      }
   ]
}
```

## URI Request Parameters
<a name="API_iotevents-data_BatchAcknowledgeAlarm_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_iotevents-data_BatchAcknowledgeAlarm_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [acknowledgeActionRequests](#API_iotevents-data_BatchAcknowledgeAlarm_RequestSyntax) **   <a name="iotevents-iotevents-data_BatchAcknowledgeAlarm-request-acknowledgeActionRequests"></a>
The list of acknowledge action requests. You can specify up to 10 requests per operation.  
Type: Array of [AcknowledgeAlarmActionRequest](API_iotevents-data_AcknowledgeAlarmActionRequest.md) objects  
Array Members: Minimum number of 1 item.  
Required: Yes

## Response Syntax
<a name="API_iotevents-data_BatchAcknowledgeAlarm_ResponseSyntax"></a>

```
HTTP/1.1 202
Content-type: application/json

{
   "errorEntries": [ 
      { 
         "errorCode": "string",
         "errorMessage": "string",
         "requestId": "string"
      }
   ]
}
```

## Response Elements
<a name="API_iotevents-data_BatchAcknowledgeAlarm_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 202 response.

The following data is returned in JSON format by the service.

 ** [errorEntries](#API_iotevents-data_BatchAcknowledgeAlarm_ResponseSyntax) **   <a name="iotevents-iotevents-data_BatchAcknowledgeAlarm-response-errorEntries"></a>
A list of errors associated with the request, or `null` if there are no errors. Each error entry contains an entry ID that helps you identify the entry that failed.  
Type: Array of [BatchAlarmActionErrorEntry](API_iotevents-data_BatchAlarmActionErrorEntry.md) objects

## Errors
<a name="API_iotevents-data_BatchAcknowledgeAlarm_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalFailureException **   
An internal failure occurred.    
 ** message **   
The message for the exception.
HTTP Status Code: 500

 ** InvalidRequestException **   
The request was invalid.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** ServiceUnavailableException **   
The service is currently unavailable.    
 ** message **   
The message for the exception.
HTTP Status Code: 503

 ** ThrottlingException **   
The request could not be completed due to throttling.    
 ** message **   
The message for the exception.
HTTP Status Code: 429

## See Also
<a name="API_iotevents-data_BatchAcknowledgeAlarm_SeeAlso"></a>

For more information about using this API in one of the language-specific Amazon SDKs, see the following:
+  [Amazon Command Line Interface V2](https://docs.amazonaws.cn/goto/cli2/iotevents-data-2018-10-23/BatchAcknowledgeAlarm) 
+  [Amazon SDK for .NET V4](https://docs.amazonaws.cn/goto/DotNetSDKV4/iotevents-data-2018-10-23/BatchAcknowledgeAlarm) 
+  [Amazon SDK for C\$1\$1](https://docs.amazonaws.cn/goto/SdkForCpp/iotevents-data-2018-10-23/BatchAcknowledgeAlarm) 
+  [Amazon SDK for Go v2](https://docs.amazonaws.cn/goto/SdkForGoV2/iotevents-data-2018-10-23/BatchAcknowledgeAlarm) 
+  [Amazon SDK for Java V2](https://docs.amazonaws.cn/goto/SdkForJavaV2/iotevents-data-2018-10-23/BatchAcknowledgeAlarm) 
+  [Amazon SDK for JavaScript V3](https://docs.amazonaws.cn/goto/SdkForJavaScriptV3/iotevents-data-2018-10-23/BatchAcknowledgeAlarm) 
+  [Amazon SDK for Kotlin](https://docs.amazonaws.cn/goto/SdkForKotlin/iotevents-data-2018-10-23/BatchAcknowledgeAlarm) 
+  [Amazon SDK for PHP V3](https://docs.amazonaws.cn/goto/SdkForPHPV3/iotevents-data-2018-10-23/BatchAcknowledgeAlarm) 
+  [Amazon SDK for Python](https://docs.amazonaws.cn/goto/boto3/iotevents-data-2018-10-23/BatchAcknowledgeAlarm) 
+  [Amazon SDK for Ruby V3](https://docs.amazonaws.cn/goto/SdkForRubyV3/iotevents-data-2018-10-23/BatchAcknowledgeAlarm) 